import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormFieldLayoutSchema, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { HttpClient } from '@angular/common/http';
import { FlexyLoggerService } from '@ng-flexy/core';
export declare class FlexyFormSelect2Component implements OnInit {
    private httpClient;
    private logger;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string;
    label: string;
    description: string;
    placeholder: string;
    labelIcon: string;
    enableSearchByValue: boolean;
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    prefix: string;
    suffix: string;
    readonly: boolean;
    multiple: boolean;
    addItem: boolean;
    hideSelected: boolean;
    loading: boolean;
    constructor(httpClient: HttpClient, logger: FlexyLoggerService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    private _optionsJsonataMapper;
    private _optionsMapper;
    private _mapperTemplate;
}
